#
# spec file for package bladeRF-fx3-firmware
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2016 Wojciech Kazubski, wk@ire.pw.edu.pl
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           bladeRF-fx3-firmware
Version:        2.4.0
Release:        lp155.2.4
Summary:        Microcontroller firmware for SDR radio receiver
License:        SUSE-NonFree
Group:          Productivity/Hamradio/Other
Url:            https://nuand.com/
Source0:        https://www.nuand.com/fx3/bladeRF_fw_v%{version}.img
BuildArch:      noarch

%description
The FX3 microcontroller firmware for bladeRF USB 3.0 Superspeed Software
Defined Radio.

%prep

%build

%install
install -Dpm644 %{SOURCE0} \
  %{buildroot}/%{_datadir}/Nuand/bladeRF/firmware/bladeRF_fw.img

%files
%defattr(-,root,root)
%dir %{_datadir}/Nuand
%dir %{_datadir}/Nuand/bladeRF
%dir %{_datadir}/Nuand/bladeRF/firmware
%{_datadir}/Nuand/bladeRF/firmware/bladeRF_fw.img

%changelog
* Fri Jan 15 2021 Martin Hauke <mardnh@gmx.de>
- Update to version 2.4.0
  * Variable length packet support for PACKET_META mode
- Update to version 2.3.2
  * Speed up flash operations
- Update to version 2.3.1
  * Fix USB device reset (e.g. during bladerf_open()) interrupting
    SPI flash autoloading of FPGA images
  * Add BLADE_USB_CMD_QUERY_FPGA_SOURCE command, which identifies
    the source of the currently-running FPGA image (SPI flash vs
    USB host).
* Wed Sep  5 2018 mardnh@gmx.de
- Update to version 2.2.0
* Thu Mar  8 2018 mardnh@gmx.de
- Change license to SUSE-NonFree
* Mon Apr 24 2017 mpluskal@suse.com
- Small packaging changes
* Sat Apr 15 2017 mardnh@gmx.de
- specfile cleanup
* Thu Jun 30 2016 wk@ire.pw.edu.pl
- now requires bladeRF-cli instead of bladeRF
* Sat Apr  9 2016 wk@ire.pw.edu.pl
- version 2.0.0
* Thu Dec 31 2015 wk@ire.pw.edu.pl
- version 1.9.0
* Wed Dec  3 2014 wk@ire.pw.edu.pl
- version 1.8.0
* Fri Jul 25 2014 wk@ire.pw.edu.pl
- version 1.7.1
